cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-9332) Update `npm` and `semver` dependencies for cordova
Date Fri, 17 Jul 2015 10:49:04 GMT

    [ https://issues.apache.org/jira/browse/CB-9332?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14631179#comment-14631179
] 

ASF GitHub Bot commented on CB-9332:
------------------------------------

GitHub user vladimir-kotikov opened a pull request:

    https://github.com/apache/cordova-lib/pull/263

    CB-9332 Upgrade npm and semver to actual versions

    This PR upgrades npm and semver to actual versions. See https://issues.apache.org/jira/browse/CB-9332

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/MSOpenTech/cordova-lib CB-9332

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/cordova-lib/pull/263.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #263
    
----
commit 43a1516f545269505d3f976234e582140c72781f
Author: Vladimir Kotikov <v-vlkoti@microsoft.com>
Date:   2015-07-17T07:54:52Z

    CB-9332 Upgrade npm and semver to actual versions

----


> Update `npm` and `semver` dependencies for cordova
> --------------------------------------------------
>
>                 Key: CB-9332
>                 URL: https://issues.apache.org/jira/browse/CB-9332
>             Project: Apache Cordova
>          Issue Type: Improvement
>          Components: CordovaLib
>            Reporter: Vladimir Kotikov
>            Assignee: Vladimir Kotikov
>
> There are the following dependencies for cordova-lib are outdated and should be updated:
> * npm 1.3.4 to 2.7.5
> * npmconf 0.1.16 to 2.1.1
> * semver 2.0.11 to 4.3.3
> However, the update was blocked due to issues with publishing to CPR and npm@>1.3.4.
Since the CPR going to became a read-only, we get a chance to update these dependencies.
> Also cordova-plugman is still depends on npm, even though the dependency is not actually
used anywhere. So probably it should be removed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message